Modelo
curl --request GET \
--url https://api.erlcrussia.com/v1/models/{model} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erlcrussia.com/v1/models/{model}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erlcrussia.com/v1/models/{model}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v1/models/{model}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v1/models/{model}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erlcrussia.com/v1/models/{model}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v1/models/{model}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "niya-1",
"object": "model",
"created": 1710000000,
"owned_by": "erlcrussia",
"name": "Ния 1",
"description": "Быстрая модель для повседневных задач.",
"context_length": 1000000,
"max_context_length": 1000000,
"modalities": [
"text",
"image",
"audio",
"video"
],
"capabilities": {
"chat": true,
"completion": true,
"function_calling": true,
"reasoning": false,
"thinking": false,
"tool_call": true,
"tools": true,
"vision": true
}
}{
"error": {
"message": "Incorrect API key provided. Check the key or create a new one in the dashboard.",
"type": "invalid_request_error",
"param": null,
"code": "invalid_api_key",
"erlc_code": "5008"
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "invalid_request_error",
"param": null,
"code": "model_not_found",
"erlc_code": "5040"
}
}Modelos
Modelo
Devuelve un modelo por su identificador.
GET
/
v1
/
models
/
{model}
Modelo
curl --request GET \
--url https://api.erlcrussia.com/v1/models/{model} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erlcrussia.com/v1/models/{model}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erlcrussia.com/v1/models/{model}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v1/models/{model}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v1/models/{model}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erlcrussia.com/v1/models/{model}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v1/models/{model}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "niya-1",
"object": "model",
"created": 1710000000,
"owned_by": "erlcrussia",
"name": "Ния 1",
"description": "Быстрая модель для повседневных задач.",
"context_length": 1000000,
"max_context_length": 1000000,
"modalities": [
"text",
"image",
"audio",
"video"
],
"capabilities": {
"chat": true,
"completion": true,
"function_calling": true,
"reasoning": false,
"thinking": false,
"tool_call": true,
"tools": true,
"vision": true
}
}{
"error": {
"message": "Incorrect API key provided. Check the key or create a new one in the dashboard.",
"type": "invalid_request_error",
"param": null,
"code": "invalid_api_key",
"erlc_code": "5008"
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "invalid_request_error",
"param": null,
"code": "model_not_found",
"erlc_code": "5040"
}
}Autorizaciones
BearerAuthApiKeyAuth
Pasando el token de autorización en el encabezado Autorización: Portador .
Parámetros de ruta
Respuesta
Especificación detallada del modelo.
Ejemplo:
"niya-1"
Ejemplo:
"model"
Ejemplo:
1710000000
Ejemplo:
"erlcrussia"
Ejemplo:
"Ния 1"
Ejemplo:
"Быстрая модель для повседневных задач."
Ejemplo:
1000000
Ejemplo:
1000000
Ejemplo:
["text", "image", "audio", "video"]
Ejemplo:
false
Ejemplo:
false
¿Esta página le ayudó?